Booking Management API
Get Amenity List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_description | String | Body | Amenity description |
| amenity_picture_url | String | Body | Amenity picture URL |
| buildings | []Object<building> | Body | Building information |
| devices | []Object<device> | Body | Device information |
| enable | Boolean | Body | Whether the amenity is enable or not? true: enable false: disable |
| contact | String | Body | Contact |
| contact_information | String | Body | Contact information |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| available_days | []String | Body | Available days |
| maximum_duration | Integer | Body | Maximum duration (min) |
| maximum_advance | Integer | Body | Maximum advance (d) |
| maximum_reservation | Integer | Body | Maximum reservation |
| maximum_password_count | Integer | Body | Maximum password count |
| require_approval | Boolean | Body | Whether the amenity requires approval or not? true: require false: not require |
building description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
]
}
Failure Return Example
Get Amenity Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenity_id | String | Body | Yes | Amenity ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| amenity_name | String | Body | Amenity name |
| amenity_description | String | Body | Amenity description |
| amenity_picture_url | String | Body | Amenity picture URL |
| buildings | []Object<building> | Body | Building information |
| devices | []Object<device> | Body | Device information |
| enable | Boolean | Body | Whether the amenity is enable or not? true: enable false: disable |
| contact | String | Body | Contact |
| contact_information | String | Body | Contact information |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| available_days | []String | Body | Available days |
| maximum_duration | Integer | Body | Maximum duration (min) |
| maximum_advance | Integer | Body | Maximum advance (d) |
| maximum_reservation | Integer | Body | Maximum reservation |
| maximum_password_count | Integer | Body | Maximum password count |
| require_approval | Boolean | Body | Whether the amenity requires approval or not? true: require false: not require |
building description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "afa332e258aae1badbb27d31128f442dc"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
Failure Return Example
Get Creating Amenity List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| buildings | []Object<building> | Body | Building information |
| devices | []Object<device> | Body | Device information |
building description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_creating_amenity_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"buildings": [
{
"building_id": "b8f39bda1a956435d96be126854c61318",
"building_name": "test"
}
],
"devices": [
{
"device_id": "db8f39bda1a956435d96be126854c6131",
"device_name": "device"
}
]
}
}
Failure Return Example
Create Amenity Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenity_name | String | Body | Yes | Amenity name |
| amenity_description | String | Body | Yes | Amenity description |
| amenity_picture_url | String | Body | Yes | Amenity picture URL |
| buildings | []Object<building> | Body | Yes | Building information |
| devices | []Object<device> | Body | Yes | Device information |
| enable | Boolean | Body | Yes | Whether the amenity is enable or not? true: enable false: disable |
| contact | String | Body | Yes | Contact |
| contact_information | String | Body | Yes | Contact information |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| available_days | []String | Body | Yes | Available days |
| maximum_duration | Integer | Body | Yes | Maximum duration (min) |
| maximum_advance | Integer | Body | Yes | Maximum advance (d) |
| maximum_reservation | Integer | Body | Yes | Maximum reservation |
| maximum_password_count | Integer | Body | Yes | Maximum password count |
| require_approval | Boolean | Body | Yes | Whether the amenity requires approval or not? true: require false: not require |
building description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| building_id | String | Body | Yes | Building ID |
| building_name | String | Body | Yes | Building name |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| device_name | String | Body | Yes | Device name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| amenity_id | String | Body | Amenity ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"amenity_id": "abafa332e258aae1badbb27d31128f442"
}
}
Failure Return Example
Update Amenity Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenity_id | String | Body | Amenity ID | |
| amenity_name | String | Body | Yes | Amenity name |
| amenity_description | String | Body | Yes | Amenity description |
| amenity_picture_url | String | Body | Yes | Amenity picture URL |
| buildings | []Object<building> | Body | Yes | Building information |
| devices | []Object<device> | Body | Yes | Device information |
| enable | Boolean | Body | Yes | Whether the amenity is enable or not? true: enable false: disable |
| contact | String | Body | Yes | Contact |
| contact_information | String | Body | Yes | Contact information |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| available_days | []String | Body | Yes | Available days |
| maximum_duration | Integer | Body | Yes | Maximum duration (min) |
| maximum_advance | Integer | Body | Yes | Maximum advance (d) |
| maximum_reservation | Integer | Body | Yes | Maximum reservation |
| maximum_password_count | Integer | Body | Yes | Maximum password count |
| require_approval | Boolean | Body | Yes | Whether the amenity requires approval or not? true: require false: not require |
building description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| building_id | String | Body | Yes | Building ID |
| building_name | String | Body | Yes | Building name |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | String | Body | Yes | Device ID |
| device_name | String | Body | Yes | Device name |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_id": "abafa332e258aae1badbb27d31128f442",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"buildings": [
{
"building_id": "bafa332e258aae1badbb27d31128f442d",
"building_name": "001"
}
],
"devices": [
{
"device_id": "dwbdbbafa332e258aae1badbb27d31128",
"device_name": "device"
}
],
"enable": true,
"contact": "test",
"contact_information": "1234567",
"start_time": "13:14",
"finish_time": "15:14",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"maximum_duration": 30,
"maximum_advance": 1,
"maximum_reservation": 1,
"maximum_password_count": 20,
"require_approval": true
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Amenity Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenity_id | String | Body | Yes | Amenity ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Amenity Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenities | []Object<amenity> | Body | Yes | Amenity information |
amenity description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| amenity_id | String | Body | Yes | Amenity ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_amenity_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"amenities": [
{
"amenity_id": "a8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Enable Amenity
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| amenity_id | String | Body | Yes | Amenity ID |
| enable | Boolean | Body | Yes | Whether the amenity is enable or not? true: enable false: disable |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "enable_amenity",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"enable": true
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Get Booking List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| residence_id | String | Body | Residence ID |
| booking_id | String | Body | Booking ID |
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_description | String | Body | Amenity description |
| amenity_picture_url | String | Body | Amenity picture URL |
| building_name | String | Body | Building name |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| state | String | Body | State, pending or rejected or canceled or success |
| is_expired | Boolean | Body | Whether the booking is expired or not? true: yes false: no |
| pin_code | String | Body | PIN code |
| qr_code_url | String | Body | QR code URL |
| created_time | String | Body | Created time, UTC |
| account_id | String | Body | Account ID |
| account_name | String | Body | Account name |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| String | Body | ||
| phone | String | Body | Phone |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"building_name": "001",
"family_name": "home",
"residence_no": "505",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"email": "test@akubela.com",
"phone": "1234567"
}
]
}
Failure Return Example
Get Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| residence_id | String | Body | Residence ID |
| amenity_id | String | Body | Amenity ID |
| amenity_name | String | Body | Amenity name |
| amenity_description | String | Body | Amenity description |
| amenity_picture_url | String | Body | Amenity picture URL |
| building_name | String | Body | Building name |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| state | String | Body | State, pending or rejected or canceled or success |
| is_expired | Boolean | Body | Whether the booking is expired or not? true: yes false: no |
| pin_code | String | Body | PIN code |
| qr_code_url | String | Body | QR code URL |
| created_time | String | Body | Created time, UTC |
| account_id | String | Body | Account ID |
| account_name | String | Body | Account name |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| String | Body | ||
| phone | String | Body | Phone |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b31adc223cc4b3bedb6bd4742dedcfa52"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": [
{
"residence_id": "rm31adc223cc4b3bedb6bd4742dedcfa5",
"booking_id": "bfa332e258aae1badbb27d31128f442d1",
"amenity_id": "afa332e258aae1badbb27d31128f442dc",
"amenity_name": "Gym",
"amenity_description": "test",
"amenity_picture_url": "https://test.akubela.com/g",
"building_name": "001",
"family_name": "home",
"residence_no": "505",
"start_time": "2024-05-02 13:14:15",
"finish_time": "2024-05-02 15:14:15",
"state": "pending",
"is_expired": true,
"pin_code": "123456",
"qr_code_url": "https://test.akubela.com/h.png",
"created_time": "2024-05-01 13:32:45",
"account_id": "arm31adc223cc4b3bedb6bd4742dedcfa",
"account_name": "test@akubela.com",
"first_name": "clay",
"last_name": "sagan",
"email": "test@akubela.com",
"phone": "1234567"
}
]
}
Failure Return Example
Update Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| booking_id | String | Body | Yes | Booking ID |
| state | String | Body | Yes | State, rejected or success |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa51",
"booking_id": "bfa332e258aae1badbb27d31128f442dc",
"state": "rejected"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Booking Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| bookings | []Object<booking> | Body | Yes | Booking information |
booking description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| booking_id | String | Body | Yes | Booking ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_booking_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"bookings": [
{
"booking_id": "b8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}